<!DOCTYPE html>
<html>

<head>
    <title>VUE</title>
</head>

<body>
    <div id="app">
        <h1>{{ titulo | uppercase }}</h1>
        <h2>{{ subtitulo | capitalize }}</h2>
    </div>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
    <script type="text/javascript">
        var app = new Vue({
      el: '#app',
      data: {
        titulo: 'Estas en platzi',
        subtitulo: 'Estas viendo el curso de vue.js'
      },
      filters:{
        uppercase: function (titulo){
          return titulo.toUpperCase()
        },
        lowercase: function (subtitulo){
          return subtitulo.toLowerCase()
        },
        capitalize: function (str){
          var splitStr = str.toLowerCase().split(' ');
          for (var i = 0; i < splitStr.length; i++) {
              splitStr[i] = splitStr[i].charAt(0).toUpperCase() + splitStr[i].substring(1);     
          }
          return splitStr.join(' ');
        }
      }
})
</script>
</body>

</html>